#ifndef BATTLE_H
#define BATTLE_H

#include "SDL.h"

#include "DrawWindow.h"
#include "InputObj.h"
#include "UserInput.h"
#include "SDL_ttf.h"

//Battle is the part of the game that handles the line-drawing conflict.
//Main sends the necessary information (who is involved, scenario, etc etc.)
//Battle processes the fight, and updates the end result.
//Main calls on Battle for end fight stats, and then reupdates it.

class Battle {
 public:
  Battle ();

  void init ();
  void render (SDL_Surface *, TTF_Font *);
  void gameLoop ();
  void processInput (const SDL_Event & mainEvent);

  int getScore ();
  int getEndurance ();
  int getStatus ();

  void addPlayer (UserInput * ui);

  ~Battle ();
 protected:
  int battleState;

  DrawWindow * dw;
  UserInput * player1;
  
  Uint32 endurance;
  Uint8 accuracy;
  Uint32 score;
};

#endif
