#include "InputObj.h"

#include "SDL.h"
#include "SDL_gfxPrimitives.h"

//later when implementing AI: You should abstract most of this.

InputObj :: InputObj ()
{
  posX = 0;
  posY = 0;
  button1Pressed = false;
  button2Pressed = false;
  escKeyHit = false;
}

//handled by subclasses
void InputObj :: processInput ()
{ }

void InputObj :: getCursorPos (Sint16 * x, Sint16 * y)
{
  //sets the x- and y- coordinates of the cursor.
  //unless the param is NULL, of course.
  
  if (x != NULL)
    *x = posX;

  if (y != NULL)
    *y = posY;
}

Sint16 InputObj :: getCursorPosX ()
{ return posX; }

Sint16 InputObj :: getCursorPosY ()
{ return posY; }

bool InputObj :: getButton1 ()
{ return button1Pressed; }

bool InputObj :: getButton2 ()
{ return button2Pressed; }

bool InputObj :: getEscKey ()
{ return escKeyHit; }

//handled by subclasses
void InputObj :: render (SDL_Surface * dest, int acc)
{}

InputObj :: ~InputObj ()
{
}
