#include "UserInput.h"

#include "SDL.h"
#include "SDL_gfxPrimitives.h"

UserInput :: UserInput () : InputObj ()
{
}

void UserInput :: processInput (const SDL_Event & mainEvent)
{
  //capture input

  switch(mainEvent.type){
  case SDL_KEYDOWN:
    //check to see if it wants to quit	    
    if(mainEvent.key.keysym.sym==SDLK_ESCAPE)
      escKeyHit = true;
    break;
  case SDL_KEYUP:
    //check to see if it wants to quit	    
    if(mainEvent.key.keysym.sym==SDLK_ESCAPE)
      escKeyHit = false;
    break;
  case SDL_MOUSEMOTION:
    posX += mainEvent.motion.xrel;
    posY += mainEvent.motion.yrel;
    break;
  case SDL_MOUSEBUTTONDOWN:
    if (mainEvent.button.button == SDL_BUTTON_LEFT)
      button1Pressed = true;
    if (mainEvent.button.button == SDL_BUTTON_RIGHT)
      button2Pressed = true;
    break;
  case SDL_MOUSEBUTTONUP:
    if (mainEvent.button.button == SDL_BUTTON_LEFT)
      button1Pressed = false;
    if (mainEvent.button.button == SDL_BUTTON_RIGHT)
      button2Pressed = false;
  default:
    break;
  }
}

void UserInput :: render (SDL_Surface * dest, int accuracy)
{
  filledCircleRGBA(dest, posX, posY, accuracy, 128, 128, 128, 128);
}

 UserInput :: ~ UserInput ()
{
}
